<template>
  <div>
    <v-progress-circular v-if="isLoading" indeterminate color="purple" />
    <specialist-projects v-if="clientType === 'SPECIALIST' && !isLoading" />
    <client-projects v-if="clientType === 'CLIENT' && !isLoading" />
  </div>
</template>

<script>
import SubscriptionService from "@/services/subscriptionService";
import SpecialistProjects from "@/components/projects/SpecialistProjects";
import ClientProjects from "@/components/projects/ClientProjects";
import CompanyService from "@/services/companyService";

export default {
  name: "MyProjects",

  components: {
    SpecialistProjects,
    ClientProjects,
  },

  data: () => ({
    subscription: {
      plan: {
        name: "",
      },
    },
    clientType: "",
    isLoading: true,
  }),

  created() {
    this.getProfile();
    this.getCompany();
  },

  mounted() {
    this.isLoading = true;
  },

  methods: {
    getCompany() {
      CompanyService.getCompanyProfile()
        .then((company) => (this.clientType = this._.get(company, "type")))
        .catch((err) => console.log(err));
    },
    getProfile() {
      SubscriptionService.getCurrentUserSubscription()
        .then((subscription) => {
          this.subscription = subscription;
          this.validate();
        })
        .catch((err) => this.$log.error(err));
    },
    validate() {
      if (
        this.subscription.plan.name === "FREE" ||
        this.subscription.plan.name === "STARTER"
      ) {
        this.$router.push({ name: "my-plan" });
      } else {
        this.isLoading = false;
      }
    },
  },
  computed: {},
};
</script>
